Promotions
Create
AuthorizationBearer <token>
Sign in with your account. A temporary API token is generated automatically for the selected organization.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://api.stemp.app/api/v1/promotions" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "description": "string", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z" }'{
"id": "string",
"templateId": "string",
"title": "string",
"description": "string",
"status": "DRAFT",
"validFrom": "2019-08-24T14:15:22Z",
"validUntil": "2019-08-24T14:15:22Z",
"scheduledAt": "2019-08-24T14:15:22Z",
"sentAt": "2019-08-24T14:15:22Z",
"totalPasses": 0,
"stats": {
"delivered": 0,
"failed": 0,
"skipped": 0
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}